Subject: Re: [TLS] TLS WG GitHub interaction

From: "Christopher Wood" <[email-masked]>
Date: Wed, 04 Nov 2020 18:02:16 -0800

Thanks to everyone who chimed in on this thread! It looks like we have consensus to proceed with the proposal. Specifically, we will adopt the "issue discussion mode" approach outlined in RFC 8874. Weekly summaries will continue being sent to the list, though we will see if they can be improved to help readers better follow discussions. 

In a separate thread, we'll discuss ways for the group to agree on target draft versions for interop experiments.

Best,
Chris, on behalf of the chairs

On Wed, Oct 21, 2020, at 3:51 PM, Christopher Wood wrote:
> RFC 8874 describes several different methods for using GitHub, ranging 
> from the lightweight "document management mode" [1] to more heavyweight 
> "issue discussion mode" [2]. Most TLS documents are hosted and worked 
> on in GitHub, though with varying levels of interaction. For example, 
> some interact with GitHub in "issue tracking mode," wherein editors 
> primarily use GitHub for tracking open issues. Others interact with 
> GitHub in a way that resembles "issue discussion mode," wherein 
> substantive issue discussion takes place on GitHub issues and consensus 
> calls occur on the list.
> 
> This discrepancy has caused confusion in the past, especially with 
> respect to how best to stay engaged in the continued development of WG 
> documents. Moreover, with the rising rate at which other WGs and IETF 
> participants adopt GitHub for document development, especially those 
> formed in recent years, we have not made expectations for use of GitHub 
> clear.
> 
> To that end, after observing what's been maximally productive for 
> document development in TLS and related WGs, taking into account 
> community engagement, document review support, and editor tools, we 
> propose the following: the TLS WG interact with WG documents in "issue 
> discussion mode," following the approach outlined in [3].
> 
> We'd like to hear whether folks are support or oppose this proposal. 
> Please chime in (on the list!) and share your thoughts before November 
> 4. We'll determine whether there is consensus to adopt this new 
> approach moving forward at that time.
> 
> Thanks,
> Chris, on behalf of the chairs
> 
> [1] https://www.ietf.org/rfc/rfc8874.html#name-document-management-mode
> [2] https://www.ietf.org/rfc/rfc8874.html#name-issue-labeling-schemes
> [3] https://www.ietf.org/rfc/rfc8874.html#name-issue-discussion-mode
> 
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
>